# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['@all']
  'require':
    'frameworks/attica': '@latest-kf6'
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/karchive': '@latest-kf6'
    'frameworks/kauth': '@latest-kf6'
    'frameworks/kcmutils': '@latest-kf6'
    'frameworks/kcodecs': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/kconfigwidgets': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/kcrash': '@latest-kf6'
    'frameworks/kdbusaddons': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kidletime': '@latest-kf6'
    'frameworks/kio': '@latest-kf6'
    'frameworks/knewstuff': '@latest-kf6'
    'frameworks/knotifications': '@latest-kf6'
    'frameworks/kservice': '@latest-kf6'
    'frameworks/kitemmodels': '@latest-kf6'
    'frameworks/kwidgetsaddons': '@latest-kf6'
    'frameworks/kwindowsystem': '@latest-kf6'
    'frameworks/kxmlgui': '@latest-kf6'
    'frameworks/purpose': '@latest-kf6'
    'frameworks/kstatusnotifieritem': '@latest-kf6'
    'frameworks/kuserfeedback': '@latest-kf6'
    'libraries/kirigami-addons': '@latest-kf6'
    'third-party/packagekit-qt': '@latest'
    'third-party/appstream': '@latest'

RuntimeDependencies:
- 'on': ['Linux']
  'require':
    'sdk/selenium-webdriver-at-spi': '@latest'

Options:
  require-passing-tests-on: [ 'Linux', 'FreeBSD']
